gdal_edit(1)

NAME
gdal_edit - Edit in place various information of an existing GDAL dataset.

SYNOPSIS

gdal_edit [--help-general] [-ro] [-a_srs srs_def] [-a_ullr ulx uly lrx lry]
          [-tr xres yres] [-unsetgt] [-a_nodata value] [-unsetnodata]
          [-unsetstats] [-stats] [-approx_stats]
          [-scale value] [-offset value]
          [-colorinterp_X red|green|blue|alpha|gray|undefined]*
          [-gcp pixel line easting northing [elevation]]*
          [-unsetmd] [-oo NAME=VALUE]* [-mo "META-TAG=VALUE"]*  datasetname

DESCRIPTION

The gdal_edit.py script can be used to edit in place various information of an existing GDAL dataset (projection, geotransform, nodata, metadata).

It works only with raster formats that support update access to existing datasets.

CAUTION: depending on the format, older values of the updated information might still be found in the file in a 'ghost' state, even if no longer accessible through the GDAL API. This is for example the case of the GTiff format (this is not a exhaustive list)

--help-general:
    Gives a brief usage message for the generic GDAL commandline options and exit.

-ro:
    (GDAL >= 1.11) Open the dataset in read-only. Might be useful for drivers refusing to use the dataset in update-mode. In which case, updated information will go into PAM .aux.xml files.

-a_srs srs_def:

Defines the target coordinate system. This coordinate system will be written to the dataset. If the empty string or None is specified, then the existing coordinate system will be removed (for TIFF/GeoTIFF, might not be well supported besides that).

-a_ullr ulx uly lrx lry:
    Assign/override the georeferenced bounds of the dataset.

-tr xres yres :
    Set target resolution. The values must be expressed in georeferenced units. Both must be positive values.

-unsetgt:
    Remove the georeference information.

-unsetstats:
    (GDAL >= 2.0) Remove band statistics information.

-stats:
    (GDAL >= 2.0) Calculate and store band statistics.

-approx_stats:
    (GDAL >= 2.0) Calculate and store approximate band statistics.

-a_nodata value:
    Assign a specified nodata value to output bands.

-unsetnodata:
    (GDAL >= 2.1) Remove existing nodata values.

-scale value:
    (GDAL >= 2.2) Assign a specified scale value to output bands. If no scale is needed, it it recommended to set the value to 1. Scale and Offset are generally used together. For example, scale and offset might be used to store elevations in a unsigned 16bit integer file with a precision of 0.1, and starting from -100. True values would be calculated as: true_value = (pixel_value * scale) + offset Note: these values can be applied using -unscale during a gdal_translate run.

-offset value:
    (GDAL >= 2.2) Assign a specified offset value to output bands. If no offset is needed, it recommended to set the value to 0. For more see scale.

-colorinterp_X red|green|blue|alpha|gray|undefined:
    (GDAL >= 2.3) Change the color interpretation of band X (where X is a valid band number, starting at 1)

-gcp pixel line easting northing [elevation]:
    Add the indicated ground control point to the dataset. This option may be provided multiple times to provide a set of GCPs.

-unsetmd:
    (GDAL >= 2.0) Remove existing metadata (in the default metadata domain). Can be combined with -mo.

-mo 'META-TAG=VALUE':
    Passes a metadata key and value to set on the output dataset if possible. This metadata is added to the existing metadata items, unless -unsetmd is also specified.

-oo 'NAME=VALUE':
    (GDAL >= 2.0) Open option (format specific).

-a_ullr, -tr and -unsetgt options are exclusive.

-unsetstats and either -stats or -approx_stats options are exclusive.

EXAMPLE

gdal_edit -mo DATUM=WGS84 -mo PROJ=GEODETIC -a_ullr 7 47 8 46 test.ecw

AUTHORS

Even Rouault <even dot rouault at mines dash paris dot org>